# $Revision: 1.49 $, $Date: 2007-12-15 19:14:28 $
#
# Conditional build:
%bcond_without	gui	# don't build tkinter-based GUI
#
Summary:	IPMI abstraction layer
Summary(pl.UTF-8):	Warstwa abstrakcji IPMI
Name:		OpenIPMI
Version:	2.0.13
Release:	2
License:	LGPL v2+ (library), GPL v2+ (ipmicmd)
Group:		Libraries
Source0:	http://dl.sourceforge.net/openipmi/%{name}-%{version}.tar.gz
# Source0-md5:	41835d4a2db684b9fca66e954c18c348
Patch0:		%{name}-link.patch
Patch1:		%{name}-python.patch
URL:		http://openipmi.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gcc >= 5:3.2
BuildRequires:	gdbm-devel
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	ncurses-devel
BuildRequires:	net-snmp-devel
BuildRequires:	perl-devel
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRequires:	python-devel
%{?with_gui:BuildRequires:	python-tkinter}
BuildRequires:	tcl-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	swig-perl >= 1.3.25
BuildRequires:	swig-python >= 1.3.25
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenIPMI project aims to develop an open code base to allow access to
platform information using Intelligent Platform Management Interface
(IPMI).

%description -l pl.UTF-8
Celem projektu OpenIPMI jest stworzenie otwartej podstawy kodu
pozwalającego na dostęp do informacji o platformie pzy użyciu
interfejsu IPMI (Intelligent Platform Management Interface -
interfejsu inteligentnego zarządzania platformą)

%package devel
Summary:	Development part of OpenIPMI Toolkit libraries
Summary(pl.UTF-8):	Programistyczna cześć bibliotek OpenIPMI
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Development part of OpenIPMI libraries.

%description devel -l pl.UTF-8
Programistyczna cześć bibliotek OpenIPMI.

%package static
Summary:	Static OpenIPMI libraries
Summary(pl.UTF-8):	Statyczne biblioteki OpenIPMI
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static OpenIPMI Toolkit libraries.

%description static -l pl.UTF-8
Statyczne biblioteki OpenIPMI.

%package -n perl-%{name}
Summary:	Perl interface to OpenIPMI
Summary(pl.UTF-8):	Perlowy interfejs do OpenIPMI
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}

%description -n perl-%{name}
Perl interface to OpenIPMI.

%description -n perl-%{name} -l pl.UTF-8
Perlowy interfejs do OpenIPMI.

%package -n python-%{name}
Summary:	Python interface to OpenIPMI
Summary(pl.UTF-8):	Pythonowy interfejs do OpenIPMI
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python-libs

%description -n python-%{name}
Python interface to OpenIPMI.

%description -n perl-%{name} -l pl.UTF-8
Pythonowy interfejs do OpenIPMI.

%package gui
Summary:	OpenIPMI GUI
Summary(pl.UTF-8):	Graficzny interfejs użytkownika do OpenIPMI
Group:		X11/Applications
Requires:	python-%{name} = %{version}-%{release}
Requires:	python-tkinter

%description gui
OpenIPMI GUI.

%description gui -l pl.UTF-8
Graficzny interfejs użytkownika do OpenIPMI.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
CPPFLAGS="-I/usr/include/ncurses"
%configure \
	--with-pythoninstalllib=%{py_sitedir} \
	--without-glib12 \
	%{!?with_gui:--without-tkinter}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install -j1 \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{py_sitedir}/*.{la,a} \
	$RPM_BUILD_ROOT%{py_sitescriptdir}/*.py \
	$RPM_BUILD_ROOT%{py_sitescriptdir}/openipmigui/*.py

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog FAQ README* TODO
%attr(755,root,root) %{_bindir}/ipmi_ui
%attr(755,root,root) %{_bindir}/ipmicmd
%attr(755,root,root) %{_bindir}/ipmilan
%attr(755,root,root) %{_bindir}/ipmish
%attr(755,root,root) %{_bindir}/openipmicmd
%attr(755,root,root) %{_bindir}/openipmish
%attr(755,root,root) %{_bindir}/rmcp_ping
%attr(755,root,root) %{_bindir}/solterm
%attr(755,root,root) %{_libdir}/libIPMIlanserv.so.*.*.*
%attr(755,root,root) %{_libdir}/libOpenIPMI*.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libIPMIlanserv.so.0
%attr(755,root,root) %ghost %{_libdir}/libOpenIPMI*.so.[0-9]
%{_mandir}/man1/ipmi_ui.1*
%{_mandir}/man1/openipmicmd.1*
%{_mandir}/man1/openipmish.1*
%{_mandir}/man1/rmcp_ping.1*
%{_mandir}/man1/solterm.1*
%{_mandir}/man7/ipmi_cmdlang.7*
%{_mandir}/man7/openipmi_conparms.7*
%{_mandir}/man8/ipmilan.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libIPMIlanserv.so
%attr(755,root,root) %{_libdir}/libOpenIPMI*.so
%{_libdir}/libIPMIlanserv.la
%{_libdir}/libOpenIPMI*.la
%{_includedir}/%{name}
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libIPMIlanserv.a
%{_libdir}/libOpenIPMI*.a

%files -n perl-%{name}
%defattr(644,root,root,755)
%{perl_vendorarch}/OpenIPMI.pm
%dir %{perl_vendorarch}/auto/OpenIPMI
%attr(755,root,root) %{perl_vendorarch}/auto/OpenIPMI/OpenIPMI.so

%files -n python-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_OpenIPMI.so
%{py_sitescriptdir}/OpenIPMI.py[co]

%if %{with gui}
%files gui
%defattr(644,root,root,755)
%doc swig/python/openipmigui/TODO
%attr(755,root,root) %{_bindir}/openipmigui
%dir %{py_sitescriptdir}/openipmigui
%{py_sitescriptdir}/openipmigui/*.py[co]
%{_mandir}/man1/openipmigui.1*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: OpenIPMI.spec,v $
Revision 1.49  2007-12-15 19:14:28  glen
- rel 2

Revision 1.48  2007-11-03 20:45:52  qboosh
- updated to 2.0.13
- updated python patch
- moved openipmigui(1) manual to proper package

Revision 1.47  2007/04/02 12:06:27  baggins
- rel 3

Revision 1.46  2007/02/12 21:23:45  glen
- tabs in preamble

Revision 1.45  2007/02/12 00:48:33  baggins
- converted to UTF-8

Revision 1.44  2006/12/22 16:03:08  arekm
- rel 2

Revision 1.43  2006/12/04 13:37:11  glen
- add todo

Revision 1.42  2006/12/03 21:10:05  qboosh
- updated to 2.0.10, updated python patch

Revision 1.41  2006/10/06 11:00:42  qboosh
- updated to 2.0.8

Revision 1.40  2006/08/22 22:09:21  qboosh
- updated link patch to use libtinfo (fixes as-needed)

Revision 1.39  2006/08/22 10:47:48  qboosh
- updated to 2.0.7, updated python patch
- GUI has been switched from wxPython to tkinter

Revision 1.38  2006/03/13 23:38:01  glen
- %install not parallel make safe

Revision 1.37  2006/03/13 21:53:15  qboosh
- updated to 2.0.6, added python patch
- added gui subpackage (wxPython-based)

Revision 1.36  2006/01/23 23:13:26  qboosh
- updated to 2.0.4

Revision 1.35  2006/01/23 15:08:55  qboosh
- current policy is not to R: pkgconfig just because package has pkgconfig support

Revision 1.34  2006/01/18 03:10:42  zbyniu
- BR: python-devel

Revision 1.33  2005/12/30 13:43:42  glen
- R: pkgconfig for -devel

Revision 1.32  2005/12/24 18:54:19  qboosh
- updated to 2.0.3

Revision 1.31  2005/08/06 00:26:43  qboosh
- BR: swig-python

Revision 1.30  2005/08/06 00:15:20  qboosh
- BR: swig-perl

Revision 1.29  2005/07/29 14:29:32  saq
- release 1

Revision 1.28  2005/07/27 10:26:17  blekot
- up to 2.0.2
- rel 0.99 ???

Revision 1.27  2005/06/27 16:58:20  qboosh
- moved _OpenIPMI.so Python module to proper dir

Revision 1.26  2005/06/26 23:19:03  saq
- missing pyreqeq

Revision 1.25  2005/06/26 23:09:11  saq
- checked python package, I don't like it

Revision 1.24  2005/06/26 19:22:01  qboosh
- missing defattr

Revision 1.23  2005/06/26 17:10:08  blekot
- up to 2.0.1
- python package added
- TODO added (please check python package)
- rel 0.99

Revision 1.22  2005/06/06 13:38:01  qboosh
- needs modern gcc (at least 3.x) due to unnamed union

Revision 1.21  2005/06/05 01:07:07  zbyniu
- BR: swig

Revision 1.20  2005/06/03 09:37:59  qboosh
- one more fix in link patch, release 2

Revision 1.19  2005/04/16 09:38:59  qboosh
- updated to 2.0.0, updated link patch

Revision 1.18  2005/03/20 15:54:26  qboosh
- updated to 1.4.13

Revision 1.17  2005/02/27 22:44:47  qboosh
- updated to 1.4.12, updated link patch

Revision 1.16  2005/01/20 18:27:53  qboosh
- updated to 1.4.8, removed obsolete headers patch

Revision 1.15  2005/01/17 23:05:46  qboosh
- added headers patch (install internal headers in subdir as expected)

Revision 1.14  2005/01/17 17:47:50  qboosh
- updated to 1.4.7, updated link patch, added perl- package

Revision 1.13  2004/08/26 21:45:44  qboosh
- updated to 1.4.1

Revision 1.12  2004/07/01 21:00:10  qboosh
- updated to 1.3.9

Revision 1.11  2004/06/15 09:47:00  krolik
- rel. 2

Revision 1.10  2004/06/05 18:31:41  qboosh
- updated to 1.3.8

Revision 1.9  2004/05/19 22:24:13  qboosh
- updated to 1.3.7

Revision 1.8  2004/04/23 20:51:45  qboosh
- updated to 1.3.6

Revision 1.7  2004/04/18 00:32:24  qboosh
- updated to 1.3.5

Revision 1.6  2004/04/10 17:20:16  qboosh
- updated to 1.3.1

Revision 1.5  2004/03/26 21:58:21  qboosh
- updated to 1.3.0, updated link patch

Revision 1.4  2004/02/19 21:22:48  qboosh
- updated to 1.2.7, updated link patch

Revision 1.3  2004/01/02 22:13:34  qboosh
- updated to 1.1.8, updated link patch

Revision 1.2  2003/12/11 23:53:50  qboosh
- added link patch, removed workaround
- fixed License, removed unused macros.perl (copy-pastos?)
- pl descriptions, BR: ac,am,lt,popt-devel

Revision 1.1  2003/12/06 11:18:14  arekm
- initial pld release
